%define ver     0.7.3_20020419
%define rel     1
%define prefix  /usr

Summary:   	AVI file support library
Name:      	avifile
Version:   	%ver
Release:   	%rel
Copyright: 	GPL
Group:     	Applications/Video
Packager:       linuxkid <linux@peanutlinux.org>
Source0:   	http://avifile.sourceforge.net/avifile-0.7.3-20020419.tgz
Source1:        aviplay.desktop
Source2:        avi.desktop
Source3:	avicapture.desktop
Source4:	avirecompress.desktop
URL:       	http://divx.euro.ru/
BuildRoot: 	/tmp/avifile-%{PACKAGE_VERSION}-root
Docdir:    	%{prefix}/doc

%description
Avifile is a library that allows programs to read and write 
compressed AVI files (Indeo? Video, DivX :-), etc.) under x86 
Linux. (De)compression is performed with Win32 DLLs.
For divx support you'll need to install "divx4linux".

%package devel
Summary:	Header files and/or development documentation for AVI file
Group:		Development/Libraries

%description devel
Header files and/or development documentation for AVI file support library.

%prep
%setup -q -n avifile0.7-20020419

%build
# Needed for snapshot releases.
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%prefix \
	--host=i386-pc-linux \
	--build=i386-pc-linux \
	--with-win32-path=/usr/lib/win32 \
	--enable-release \
	--enable-quiet \
	--disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/applnk/Multimedia/DivX
cp %{SOURCE1} %{SOURCE3} %{SOURCE4} $RPM_BUILD_ROOT/opt/kde3/share/applnk/Multimedia/DivX
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/mimelnk/video
cp %{SOURCE2} $RPM_BUILD_ROOT/opt/kde3/share/mimelnk/video
mkdir -p $RPM_BUILD_ROOT/usr/bin
make DESTDIR=$RPM_BUILD_ROOT install
touch -c `find $RPM_BUILD_ROOT/*`

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/avifile/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
/opt/kde3/share/applnk
/opt/kde3/share/mimelnk
/usr/lib
/usr/bin
/usr/share

%files devel
/usr/include
